## modemmanager 1.23.4

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('udev', type: 'boolean', value: true, description: 'enable udev support')
option('udevdir', type: 'string', value: '', description: 'udev base directory')

option('examples', type: 'boolean', value: true, description: 'install examples')
option('tests', type: 'boolean', value: true, description: 'enable tests')

option('dbus_policy_dir', type: 'string', value: '', description: 'd-bus system policy directory')

option('systemdsystemunitdir', type: 'string', value: '', description: 'systemd system units directory')
option('systemd_suspend_resume', type: 'boolean', value: true, description: 'enable suspend/resume support with systemd')
option('powerd_suspend_resume', type: 'boolean', value: false, description: 'enable suspend/resume support with powerd')
option('systemd_journal', type: 'boolean', value: true, description: 'enable systemd journal support')

option('polkit', type: 'combo', choices: ['strict', 'permissive', 'no'], value: 'strict', description: 'User auth-polkit configuration option.')

option('at_command_via_dbus', type: 'boolean', value: false, description: 'enable at commands via d-bus')

option('builtin_plugins', type: 'boolean', value: false, description: 'integrate all built plugins within the daemon binary')

option('mbim', type: 'boolean', value: true, description: 'enable MBIM support')
option('qmi', type: 'boolean', value: true, description: 'enable QMI support')
option('qrtr', type: 'boolean', value: true, description: 'enable QRTR support')

option('dist_version', type: 'string', value: '', description: 'define the custom version (like distribution package name and revision')

option('plugin_generic', type: 'feature', value: 'auto', description: 'enable generic plugin support')
option('plugin_altair_lte', type: 'feature', value: 'auto', description: 'enable altair lte plugin support')
option('plugin_anydata', type: 'feature', value: 'auto', description: 'enable anydata plugin support')
option('plugin_broadmobi', type: 'feature', value: 'auto', description: 'enable broadmobi plugin support')
option('plugin_cinterion', type: 'feature', value: 'auto', description: 'enable cinterion plugin support')

# shared_sierra, shared_novatel, shared_xmm, shared_telit, shared_foxonn
option('plugin_dell', type: 'feature', value: 'auto', description: 'enable dell plugin support')

option('plugin_dlink', type: 'feature', value: 'auto', description: 'enable dlink plugin support')

# shared_xmm
option('plugin_fibocom', type: 'feature', value: 'auto', description: 'enable fibocom plugin support')

# shared_foxconn
option('plugin_foxconn', type: 'feature', value: 'auto', description: 'enable foxconn plugin support')
option('plugin_gosuncn', type: 'feature', value: 'auto', description: 'enable gosuncn plugin support')
option('plugin_haier', type: 'feature', value: 'auto', description: 'enable haier plugin support')
option('plugin_huawei', type: 'feature', value: 'auto', description: 'enable huawei plugin support')
option('plugin_intel', type: 'feature', value: 'auto', description: 'enable intel plugin support')
option('plugin_iridium', type: 'feature', value: 'auto', description: 'enable iridium plugin support')
option('plugin_linktop', type: 'feature', value: 'auto', description: 'enable linktop plugin support')
option('plugin_longcheer', type: 'feature', value: 'auto', description: 'enable longcheer plugin support')
option('plugin_mbm', type: 'feature', value: 'auto', description: 'enable mbm plugin support')
option('plugin_motorola', type: 'feature', value: 'auto', description: 'enable motorola plugin support')
option('plugin_mtk_legacy', type: 'feature', value: 'auto', description: 'enable mtk legacy plugin support')
option('plugin_mtk', type: 'feature', value: 'auto', description: 'enable mtk plugin support')
option('plugin_nokia', type: 'feature', value: 'auto', description: 'enable nokia plugin support')

# shared_icera
option('plugin_nokia_icera', type: 'feature', value: 'auto', description: 'enable nokia icera plugin support')

# shared_novatel
option('plugin_novatel', type: 'feature', value: 'auto', description: 'enable novatel plugin support')
option('plugin_novatel_lte', type: 'feature', value: 'auto', description: 'enable novatel lte plugin support')

# shared_option
option('plugin_option', type: 'feature', value: 'auto', description: 'enable option plugin support')

# shared_option
option('plugin_option_hso', type: 'feature', value: 'auto', description: 'enable option hso plugin support')
option('plugin_pantech', type: 'feature', value: 'auto', description: 'enable pantech plugin support')

option('plugin_qcom_soc', type: 'feature', value: 'auto', description: 'enable qcom soc plugin support')
option('plugin_quectel', type: 'feature', value: 'auto', description: 'enable quectel plugin support')

# shared_icera
option('plugin_samsung', type: 'feature', value: 'auto', description: 'enable samsung plugin support')

# shared_icera, shared_sierra
option('plugin_sierra_legacy', type: 'feature', value: 'auto', description: 'enable sierra legacy plugin support')

# shared_xmm
option('plugin_sierra', type: 'feature', value: 'auto', description: 'enable sierra plugin support')
option('plugin_simtech', type: 'feature', value: 'auto', description: 'enable simtech plugin support')

# shared_telit
option('plugin_telit', type: 'feature', value: 'auto', description: 'enable telit plugin support')
option('plugin_thuraya', type: 'feature', value: 'auto', description: 'enable thuraya plugin support')
option('plugin_tplink', type: 'feature', value: 'auto', description: 'enable tplink plugin support')
option('plugin_ublox', type: 'feature', value: 'auto', description: 'enable ublox plugin support')
option('plugin_via', type: 'feature', value: 'auto', description: 'enable via plugin support')
option('plugin_wavecom', type: 'feature', value: 'auto', description: 'enable wavecom plugin support')
option('plugin_x22x', type: 'feature', value: 'auto', description: 'enable x22x plugin support')

# shared_icera
option('plugin_zte', type: 'feature', value: 'auto', description: 'enable zte plugin support')

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('vapi', type: 'boolean', value: false, description: 'build vala bindings')

option('man', type: 'boolean', value: true, description: 'build manual pages')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')

option('fuzzer', type: 'boolean', value: false, description: 'build fuzzer tests')

=== debian/changelog ===
modemmanager (1.23.4-0ubuntu3) plucky; urgency=medium

  * Add basic autopkgtests (LP: #2101071)
    - d/t/control: add basic 'smoke' test
    - d/t/control: execute upstream 'unittests'
    - d/t/control: test 'mmutils' against libmm-glib and ModemManager.service
  * d/rules: Confirm that the patch from d/tests/ continues to work with new
    upstream code during the build stage.
  * d/t/control: Skip some tests on partial i386 architecture, to avoid
    unnecessary cross-building strugles.
  * d/t/control: use needs-sudo Restriction, instead of needs-root

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 13 Mar 2025 15:13:08 +0100

modemmanager (1.23.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:34:30 +0000

modemmanager (1.23.4-0ubuntu1) noble; urgency=medium

  * New upstream serie

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Feb 2024 21:06:15 +0100

=== debian/control ===
Source: modemmanager
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Guido Günther <agx@sigxcpu.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>,
           Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.11.6),
               bash-completion,
               gnome-common,
               gobject-introspection,
               intltool,
               libdbus-1-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgudev-1.0-dev,
               libmbim-glib-dev (>= 1.30.0~),
               libpolkit-gobject-1-dev (>= 0.97),
               libqmi-glib-dev (>= 1.34.0~),
               libsystemd-dev (>= 209),
               libtool,
               meson,
               polkitd,
               python3-dbus,
               python3-gi,
               systemd-dev,
               valac (>= 0.22),
# Needed for building documentation
               gtk-doc-tools <!nodoc>,
               libglib2.0-doc <!nodoc>,
# Needed for automated tests
               dbus <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/modemmanager
Homepage: https://www.freedesktop.org/wiki/Software/ModemManager/

Package: modemmanager
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         polkitd,
Recommends: libmbim-utils,
            libqmi-utils,
            usb-modeswitch,
Description: D-Bus service for managing modems
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.

Package: modemmanager-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: modemmanager-doc
Breaks: modemmanager (<< 1.6.6-1)
Replaces: modemmanager (<< 1.6.6-1)
Description: D-Bus service for managing modems - development files
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains header files for ModemManager.

Package: modemmanager-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Suggests: devhelp
Description: D-Bus service for managing modems - documentation files
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains documentation of the D-Bus protocol to interface
 ModemManager.

Package: libmm-glib0
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: modemmanager (>= ${binary:Version})
Description: D-Bus service for managing modems - shared libraries
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains shared libraries for applications interfacing with
 ModemManager.

Package: libmm-glib-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libmm-glib0 (= ${binary:Version}),
         gir1.2-modemmanager-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         modemmanager-dev,
         ${shlibs:Depends},
         ${misc:Depends},
Suggests: libmm-glib-doc
Description: D-Bus service for managing modems - library development files
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains development files and Vala bindings to use when writing
 applications that interface with ModemManager.

Package: libmm-glib-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Suggests: devhelp
Description: D-Bus service for managing modems - library documentation
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains documentation of libmm-glib to use when writing
 applications that interface with ModemManager.

Package: gir1.2-modemmanager-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for modemmanager
 ModemManager is a DBus-activated daemon which controls mobile broadband
 (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
 Bluetooth-paired telephones or professional RS232/USB devices with external
 power supplies, ModemManager is able to prepare and configure the modems and
 setup connections with them.
 .
 This package contains introspection data for the libmm-glib library.

=== debian/tests/control ===
Tests: smoke
Depends: @
Restrictions: needs-sudo, breaks-testbed, superficial

Tests: unittests
Depends: @, @builddeps@
Architecture: !i386
Restrictions: needs-sudo, breaks-testbed

Tests: mmutils
Depends: @, @builddeps@, dpkg-dev
Architecture: !i386
Restrictions: needs-sudo, breaks-testbed

## modemmanager 1.23.95

=== debian/changelog ===
modemmanager (1.23.95-2) unstable; urgency=medium

  * Upload to unstable
  * Bump standards version to 4.7.2

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Mar 2025 14:34:38 +0100

modemmanager (1.23.95-1) experimental; urgency=medium

  * New upstream version 1.23.95
  * Add superficial autopktests
  * Bump libqmi and libmbim build dependencies
  * Update symbols
  * Bump standards version
  * Depend on dh-sequence-gir

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Mar 2025 17:49:57 +0100

modemmanager (1.23.12-1) experimental; urgency=medium

  [ Arnaud Ferraris ]
  * d/control: depend on gobject-introspection-bin.
    This is now the package containing `dh_girepository`, having been split
    from `gobject-introspection`.
    Fixes: lintian: missing-build-dependency-for-dh-addon gir

  [ Jeremy Bicha ]
  * Drop unnecessary Build-Depends: gnome-common, intltool, libtool

  [ Guido Günther ]
  * gbp.conf: Use branches that don't conflict with released versions
  * New upstream version 1.23.12
  * docs: README got renamed to README.md
  * Update symbols
  * d/control: Bump libqmi build-dep

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Feb 2025 15:19:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,24 @@
 Source: modemmanager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
+               dh-sequence-gir,
                bash-completion,
-               gnome-common,
-               gobject-introspection,
-               intltool,
+               gobject-introspection-bin,
                libdbus-1-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
-               libmbim-glib-dev (>= 1.30.0~),
+               libmbim-glib-dev (>= 1.31.95~),
                libpolkit-gobject-1-dev (>= 0.97),
-               libqmi-glib-dev (>= 1.34.0~),
+               libqmi-glib-dev (>= 1.35.95~),
                libsystemd-dev (>= 209),
-               libtool,
                meson,
                polkitd,
                python3-dbus,
@@ -33,7 +30,7 @@
                libglib2.0-doc <!nodoc>,
 # Needed for automated tests
                dbus <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/modemmanager

=== debian/tests/control ===
Test-Command: mmcli --help
Restrictions: superficial
Depends:
 modemmanager,

Test-Command: /usr/sbin/ModemManager --help
Restrictions: superficial
Depends:
 modemmanager,

Test-Command: pkgconf --libs --cflags mm-glib
Restrictions: superficial
Depends: pkgconf,
 libmm-glib-dev,

## modemmanager 1.24.0

=== debian/changelog ===
modemmanager (1.24.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * remove modemmanager.conffiles

 -- anticapitalista <antix@operamail.com>  Mon, 05 May 2025 16:19:37 +0300

modemmanager (1.24.0-1) unstable; urgency=medium

  * New upstream release. Final release of RC already in Trixie.
  * libmm-glib0: Update symbols
  * d/control: Bump libmbim and libqmi versions.
    Depend on the final versions rather than the RCs.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Apr 2025 23:32:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,18 @@
                debhelper (>= 13.11.6),
                dh-sequence-gir,
                bash-completion,
-               gobject-introspection-bin,
+               gettext,
                libdbus-1-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
-               libmbim-glib-dev (>= 1.31.95~),
-               libpolkit-gobject-1-dev (>= 0.97),
-               libqmi-glib-dev (>= 1.35.95~),
-               libsystemd-dev (>= 209),
+               libmbim-glib-dev (>= 1.32~),
+               libqmi-glib-dev (>= 1.36~),
                meson,
-               polkitd,
                python3-dbus,
                python3-gi,
-               systemd-dev,
                valac (>= 0.22),
+               xsltproc,
 # Needed for building documentation
                gtk-doc-tools <!nodoc>,
                libglib2.0-doc <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(filter libmm-glib-doc,$(shell dh_listpackages)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

%:
	dh $@ --with gir --buildsystem=meson

# Although meson is the preferred build system, autotools files are still present,
# leading dh_autoreconf to execute anyway, which is useless.
override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags) \
		-Dpolkit=no \
		-Dsystemdsystemunitdir=/lib/systemd/system \
		-Dvapi=true

override_dh_missing:
	dh_missing --list-missing


override_dh_install:
	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d
	dh_install

## modemmanager 1.24.2

=== debian/changelog ===
modemmanager (1.24.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #1087277)
    + Move documentation dependencies to B-D-I.
    + Mark python3-dbus and python3-gi with the nocheck build profile.

  [ Arnaud Ferraris ]
  * d/control: fix gobject-introspection dependencies
    `libgirepository1.0-dev shouldn't be used anymore as it isn't
    multiarch-friendly. Instead, use a recent `gobject-introspection` and
    explicitly (build) depend on the needed `gir1.2-*-dev` packages.
    (Closes: #1118899)
  * d/gbp.conf: add default commit messages.
    This makes it more consistent with other packages for which I'm the
    primary maintainer.
  * d/watch: convert to version 5.
    Use the new Gitlab template for easier management, but override the
    matching pattern so we only get stable (pre)releases, which have an even
    minor version number.
  * d/copyright: fix copyright notice for mmcli.
    This is actually GPL-2+, not GPL-3. (Closes: #1116309)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 29 Oct 2025 17:27:49 +0100

modemmanager (1.24.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1110197)
  * d/control: drop Rules-Requires-Root.
    This is no longer needed.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Aug 2025 12:00:42 +0200

=== debian/control ===
--- 
+++ 
@@ -11,24 +11,30 @@
                dh-sequence-gir,
                bash-completion,
                gettext,
+               gir1.2-gio-2.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                libdbus-1-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev (>= 1.32~),
+               libpolkit-gobject-1-dev (>= 0.97),
                libqmi-glib-dev (>= 1.36~),
+               libsystemd-dev (>= 209),
                meson,
-               python3-dbus,
-               python3-gi,
+               polkitd,
+               systemd-dev,
                valac (>= 0.22),
                xsltproc,
-# Needed for building documentation
-               gtk-doc-tools <!nodoc>,
-               libglib2.0-doc <!nodoc>,
 # Needed for automated tests
                dbus <!nocheck>,
+               python3-dbus <!nocheck>,
+               python3-gi <!nocheck>,
+# Needed for building documentation
+Build-Depends-Indep: gtk-doc-tools <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/modemmanager
 Homepage: https://www.freedesktop.org/wiki/Software/ModemManager/
@@ -104,13 +110,14 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: libmm-glib0 (= ${binary:Version}),
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         libmm-glib0 (= ${binary:Version}),
          gir1.2-modemmanager-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          modemmanager-dev,
-         ${shlibs:Depends},
-         ${misc:Depends},
 Suggests: libmm-glib-doc
+Provides: ${gir:Provides}
 Description: D-Bus service for managing modems - library development files
  ModemManager is a DBus-activated daemon which controls mobile broadband
  (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
@@ -143,7 +150,6 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${gir:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Description: GObject introspection data for modemmanager
  ModemManager is a DBus-activated daemon which controls mobile broadband

=== debian/tests/control ===
--- 
+++ 
@@ -12,3 +12,15 @@
 Restrictions: superficial
 Depends: pkgconf,
  libmm-glib-dev,
+
+Tests: smoke
+Depends: @
+Restrictions: needs-sudo, breaks-testbed, superficial
+
+Tests: unittests
+Depends: @, @builddeps@
+Restrictions: needs-sudo, breaks-testbed
+
+Tests: mmutils
+Depends: @, @builddeps@, dpkg-dev
+Restrictions: needs-sudo, breaks-testbed

## modemmanager 1.25.1

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 option('examples', type: 'boolean', value: true, description: 'install examples')
 option('tests', type: 'boolean', value: true, description: 'enable tests')
+option('subproject-fallback', type: 'boolean', value: false, description: 'allow to use subprojects')
 
 option('dbus_policy_dir', type: 'string', value: '', description: 'd-bus system policy directory')
 
@@ -30,17 +31,11 @@
 option('plugin_altair_lte', type: 'feature', value: 'auto', description: 'enable altair lte plugin support')
 option('plugin_anydata', type: 'feature', value: 'auto', description: 'enable anydata plugin support')
 option('plugin_broadmobi', type: 'feature', value: 'auto', description: 'enable broadmobi plugin support')
+option('plugin_cellient', type: 'feature', value: 'auto', description: 'enable cellient plugin support')
 option('plugin_cinterion', type: 'feature', value: 'auto', description: 'enable cinterion plugin support')
-
-# shared_sierra, shared_novatel, shared_xmm, shared_telit, shared_foxonn
 option('plugin_dell', type: 'feature', value: 'auto', description: 'enable dell plugin support')
-
 option('plugin_dlink', type: 'feature', value: 'auto', description: 'enable dlink plugin support')
-
-# shared_xmm
 option('plugin_fibocom', type: 'feature', value: 'auto', description: 'enable fibocom plugin support')
-
-# shared_foxconn
 option('plugin_foxconn', type: 'feature', value: 'auto', description: 'enable foxconn plugin support')
 option('plugin_gosuncn', type: 'feature', value: 'auto', description: 'enable gosuncn plugin support')
 option('plugin_haier', type: 'feature', value: 'auto', description: 'enable haier plugin support')
@@ -53,36 +48,21 @@
 option('plugin_motorola', type: 'feature', value: 'auto', description: 'enable motorola plugin support')
 option('plugin_mtk_legacy', type: 'feature', value: 'auto', description: 'enable mtk legacy plugin support')
 option('plugin_mtk', type: 'feature', value: 'auto', description: 'enable mtk plugin support')
+option('plugin_netprisma', type: 'feature', value: 'auto', description: 'enable netprisma plugin support')
 option('plugin_nokia', type: 'feature', value: 'auto', description: 'enable nokia plugin support')
-
-# shared_icera
 option('plugin_nokia_icera', type: 'feature', value: 'auto', description: 'enable nokia icera plugin support')
-
-# shared_novatel
 option('plugin_novatel', type: 'feature', value: 'auto', description: 'enable novatel plugin support')
 option('plugin_novatel_lte', type: 'feature', value: 'auto', description: 'enable novatel lte plugin support')
-
-# shared_option
 option('plugin_option', type: 'feature', value: 'auto', description: 'enable option plugin support')
-
-# shared_option
 option('plugin_option_hso', type: 'feature', value: 'auto', description: 'enable option hso plugin support')
 option('plugin_pantech', type: 'feature', value: 'auto', description: 'enable pantech plugin support')
-
 option('plugin_qcom_soc', type: 'feature', value: 'auto', description: 'enable qcom soc plugin support')
 option('plugin_quectel', type: 'feature', value: 'auto', description: 'enable quectel plugin support')
-
-# shared_icera
+option('plugin_rolling', type: 'feature', value: 'auto', description: 'enable rolling plugin support')
 option('plugin_samsung', type: 'feature', value: 'auto', description: 'enable samsung plugin support')
-
-# shared_icera, shared_sierra
 option('plugin_sierra_legacy', type: 'feature', value: 'auto', description: 'enable sierra legacy plugin support')
-
-# shared_xmm
 option('plugin_sierra', type: 'feature', value: 'auto', description: 'enable sierra plugin support')
 option('plugin_simtech', type: 'feature', value: 'auto', description: 'enable simtech plugin support')
-
-# shared_telit
 option('plugin_telit', type: 'feature', value: 'auto', description: 'enable telit plugin support')
 option('plugin_thuraya', type: 'feature', value: 'auto', description: 'enable thuraya plugin support')
 option('plugin_tplink', type: 'feature', value: 'auto', description: 'enable tplink plugin support')
@@ -90,8 +70,6 @@
 option('plugin_via', type: 'feature', value: 'auto', description: 'enable via plugin support')
 option('plugin_wavecom', type: 'feature', value: 'auto', description: 'enable wavecom plugin support')
 option('plugin_x22x', type: 'feature', value: 'auto', description: 'enable x22x plugin support')
-
-# shared_icera
 option('plugin_zte', type: 'feature', value: 'auto', description: 'enable zte plugin support')
 
 option('introspection', type: 'boolean', value: true, description: 'build introspection support')

=== debian/changelog ===
modemmanager (1.25.1-1) experimental; urgency=medium

  * New upstream development snapshot
  * Upload to experimental
  * Bump libqmi dependency
  * Add new symbols
  * signing-key: Add key used for dev snapshots
  * d/gbp.conf: Switch to 1.25 development snapshots
  * d/watch: Allow for development snapshots
  * Add patch to fix test case failure

 -- Guido Günther <agx@sigxcpu.org>  Wed, 04 Jun 2025 17:14:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,30 +11,28 @@
                dh-sequence-gir,
                bash-completion,
                gettext,
-               gir1.2-gio-2.0-dev,
-               gir1.2-glib-2.0-dev,
-               gir1.2-gobject-2.0-dev,
-               gobject-introspection (>= 1.80),
                libdbus-1-dev,
+               libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev (>= 1.32~),
                libpolkit-gobject-1-dev (>= 0.97),
-               libqmi-glib-dev (>= 1.36~),
+               libqmi-glib-dev (>= 1.37.1),
                libsystemd-dev (>= 209),
                meson,
                polkitd,
+               python3-dbus,
+               python3-gi,
                systemd-dev,
                valac (>= 0.22),
                xsltproc,
+# Needed for building documentation
+               gtk-doc-tools <!nodoc>,
+               libglib2.0-doc <!nodoc>,
 # Needed for automated tests
                dbus <!nocheck>,
-               python3-dbus <!nocheck>,
-               python3-gi <!nocheck>,
-# Needed for building documentation
-Build-Depends-Indep: gtk-doc-tools <!nodoc>,
-                     libglib2.0-doc <!nodoc>,
 Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/modemmanager.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/modemmanager
 Homepage: https://www.freedesktop.org/wiki/Software/ModemManager/
@@ -110,14 +108,13 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         libmm-glib0 (= ${binary:Version}),
+Depends: libmm-glib0 (= ${binary:Version}),
          gir1.2-modemmanager-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          modemmanager-dev,
+         ${shlibs:Depends},
+         ${misc:Depends},
 Suggests: libmm-glib-doc
-Provides: ${gir:Provides}
 Description: D-Bus service for managing modems - library development files
  ModemManager is a DBus-activated daemon which controls mobile broadband
  (2G/3G/4G/5G) devices and connections. Whether built-in devices, USB dongles,
@@ -150,6 +147,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${gir:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Description: GObject introspection data for modemmanager
  ModemManager is a DBus-activated daemon which controls mobile broadband

=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,15 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags) \
-		-Dpolkit=no \
-		-Dsystemdsystemunitdir=/lib/systemd/system \
+		-Ddbus_policy_dir=/usr/share/dbus-1/system.d \
+		-Dpolkit=permissive \
 		-Dvapi=true
-
-override_dh_missing:
-	dh_missing --list-missing
-
 
 override_dh_install:
 	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/fcc-unlock.d
 	dh_install
+
+execute_after_dh_builddeb-indep:
+	# Confirm that the DEP-8 patch still applies to new upstream versions,
+	# before running into autopkgtest failures.
+	patch -p1 < debian/tests/0001-Test-running-service-in-plugin-generic.patch

## modemmanager 1.25.95

=== debian/changelog ===
modemmanager (1.25.95-1) experimental; urgency=medium

  * New upstream release candidate
  * Drop all patches. Applied upstream.
  * Bump libqmi dependency
  * Conditionally disable some CI tests for experimental

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Nov 2025 18:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgudev-1.0-dev,
                libmbim-glib-dev (>= 1.32~),
                libpolkit-gobject-1-dev (>= 0.97),
-               libqmi-glib-dev (>= 1.37.1),
+               libqmi-glib-dev (>= 1.37.95),
                libsystemd-dev (>= 209),
                meson,
                polkitd,
